OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.DrawElementsBaseVertex

Contents

- Functions

Description

All raw functions from the ARB_draw_elements_base_vertex extension, see http://www.opengl.org/registry/specs/ARB/draw_elements_base_vertex.txt.

Synopsis

- glDrawElementsBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()
- glDrawRangeElementsBaseVertex :: GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()
- glDrawElementsInstancedBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> IO ()
- glMultiDrawElementsBaseVertex :: GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> IO ()

# Functions

glDrawElementsBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()

glDrawRangeElementsBaseVertex :: GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> IO ()

glDrawElementsInstancedBaseVertex :: GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> IO ()

glMultiDrawElementsBaseVertex :: GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> IO ()